# Add a team user

This function creates and adds a new team user.

Note:

  This action may result in team users gaining access to team owner level privileges.

Endpoint: GET /Team/add_team_user
Version: 11.136.0.14
Security: BasicAuth

## Query parameters:

  - `email1` (string, required)
    The contact email for the new team user.
    Example: "teamuser@example.com"

  - `user` (string, required)
    The username of the team user. Follows cPanel standards.
    Example: "teamuser"

  - `activation_email` (integer)
    Send an email to the team user that allows them to set their own password.
* 1 - Enabled.

Note:

 * You must pass either the password or activation_email parameter.
    Example: 1

  - `email2` (string)
    The secondary email for the new team user.
    Example: "teamuser-backup@example.com"

  - `expire_date` (any)
    The epoch time on which the team user account expires, or the offset from the current time, in days. Integers are treated as Unix Epoch Time unless followed by 'days'.

  - `expire_reason` (string)
    The reason for expiration.
    Example: "teamUser gave a two week notice."

  - `notes` (string)
    Notes about the new team user. This field should not contain private information. Maximum of 100 characters.
    Example: "This is a note about teamuser"

  - `password` (string)
    The password to set for the new team user.

Note:

 * You must pass either the password or activation_email parameter.
    Example: "securepassword"

  - `roles` (string)
    A comma-separated list of roles assigned to the new team user. Current roles include admin, database, email, web.
    Example: "email,database"

  - `services.email.enabled` (integer)
    Whether to create an email subaccount for the team user. A subaccount is always created for a team user, but it does not have any associated service subaccounts by default.

* 1 - Create an email subaccount.
* 0 - Do Not create an email subaccount.
    Enum: 0, 1

  - `services.email.quota` (string)
    The maximum amount of disk space, in megabytes (MB), allocated to the team user's email account.

* 0 or unlimited - The subaccount has unlimited disk space.

This value defaults to the defined system value.

Note:

This value cannot be larger than the system's maximum email quota.
    Example: "500"

  - `services.ftp.enabled` (integer)
    Whether to create an FTP subaccount for the team user. A subaccount is always created for a team user, but it does not have any associated service subaccounts by default.

* 1 - Create an FTP subaccount.
* 0 - Do Not create an FTP subaccount.
    Enum: 0, 1

  - `services.ftp.homedir` (string)
    The team user's FTP home directory, relative to the cPanel account's home directory.

Note:

* This parameter is required if you enabled the services.ftp.homedir parameter.
* The directory must exist.
    Example: "/Teamusername"

  - `services.webdisk.enabled` (integer)
    Whether to create a Web Disk subaccount for the team user. A subaccount is always created for a team user, but it does not have any associated service subaccounts by default.

* 1 - Create a Web Disk subaccount.
* 0 - Do Not create a Web Disk subaccount.
    Enum: 0, 1

  - `services.webdisk.enabledigest` (integer)
    Whether to enable the Web Disk Digest Authentication.

* 1 - Enabled.
* 0 - Disabled.

Note:

* Only enable Digest Authentication for clients that require additional compatibility support on
  certain versions of Windows® operating systems. This compatibility support is only required on servers
  that use a self-signed certificate for the cpsrvd and cpdavd daemons.
* We recommend that you do not use Digest Authentication.
    Enum: 0, 1

  - `services.webdisk.homedir` (string)
    The team user's Web Disk home directory, relative to the cPanel account's home directory.

Note:

This parameter is required if you enable the services.webdisk.enabled parameter.
    Example: "/Teamusername"

  - `services.webdisk.perms` (string)
    The team user's file permissions for its Web Disk home directory.

* ro - Read-only permissions.
* rw - Read and write permissions.

Note:

 The services.webdisk.homedir parameter determines the team user's Web Disk home directory.
    Example: "rw"

  - `services.webdisk.private` (integer)
    Whether to set the directory's permissions to public or private.

* 1 - Private (0700).
* 0 - Public (0755).
    Enum: 0, 1

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "add_team_user"

  - `module` (string)
    The name of the module called.
    Example: "Team"

  - `result` (object)

  - `result.data` (integer)
    The unix timestamp that represents when the team user expires.
    Example: 1674575562

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 1, 0

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


